CVE-2021-23814

Unrestricted Upload of File with Dangerous Type in packagist/unisharp/laravel-filemanager

Identifiers

CVE-2021-23814

Package Slug

packagist/unisharp/laravel-filemanager

Vulnerability

Unrestricted Upload of File with Dangerous Type

Description

This affects the package unisharp/laravel-filemanager from The upload() function does not sufficiently validate the file type when uploading. An attacker may be able to reproduce the following steps: - Install a package with a web Laravel application. - Navigate to the Upload window - Upload an image file, then capture the request - Edit the request contents with a malicious file (webshell) - Enter the path of file uploaded on URL - Remote Code Execution **Note: Prevention for bad extensions can be done by using a allow list in the config file(lfm.php). Corresponding document can be found in the here.

Affected Versions

All versions

Solution

Unfortunately, there is no solution available yet.

Last Modified

2022-01-07

source